UpdateIndexMode
Updates the mode for an existing vector index. You can set the mode to
ENHANCED for any vector index. You can set the mode to
CLASSIC only for a vector index in a vector bucket created before
September 30, 2026. This operation doesn't change the default index mode of the vector
bucket or the mode of other vector indexes. Specify the vector index by using its Amazon
Resource Name (ARN) or both the vector bucket name and vector index name.
- Permissions
-
You must have the
s3vectors:UpdateIndexModepermission to use this operation.
Request Syntax
POST /UpdateIndexMode HTTP/1.1
Content-type: application/json
{
"indexArn": "string",
"indexMode": "string",
"indexName": "string",
"vectorBucketName": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- indexArn
-
The Amazon Resource Name (ARN) of the vector index to update.
Type: String
Pattern:
arn:aws[-a-z0-9]*:s3vectors:[a-z0-9-]+:[0-9]{12}:bucket/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]/index/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]Required: No
- indexMode
-
The new mode for the vector index.
Valid values:
-
CLASSIC- Applies metadata filters during the vector search. You can specifyCLASSIConly for a vector index in a vector bucket created before September 30, 2026. -
ENHANCED- Applies metadata filters before the vector search.
Type: String
Valid Values:
CLASSIC | ENHANCEDRequired: Yes
-
- indexName
-
The name of the vector index to update.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 63.
Required: No
- vectorBucketName
-
The name of the vector bucket that contains the vector index.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 63.
Required: No
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
- AccessDeniedException
-
Access denied.
HTTP Status Code: 403
- InternalServerException
-
The request failed due to an internal server error.
HTTP Status Code: 500
- NotFoundException
-
The request was rejected because the specified resource can't be found.
HTTP Status Code: 404
- RequestTimeoutException
-
The request timed out. Retry your request.
HTTP Status Code: 408
- ServiceUnavailableException
-
The service is unavailable. Wait briefly and retry your request. If it continues to fail, increase your waiting time between retries.
HTTP Status Code: 503
- TooManyRequestsException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The requested action isn't valid.
- fieldList
-
A list of specific validation failures that are encountered during input processing. Each entry in the list contains a path to the field that failed validation and a detailed message that explains why the validation failed. To satisfy multiple constraints, a field can appear multiple times in this list if it failed. You can use the information to identify and fix the specific validation issues in your request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: